commit 9d65511e89e48530e3b246e6f63d431956835a9c
Author: freddy77 <freddy77>
Date:   Wed Jan 21 08:43:54 2009 +0000

    make fakepoll compile

diff --git a/ChangeLog b/ChangeLog
index 51b679c..c851bde 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jan 21 09:43:32 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/replacements/fakepoll.c: make it compile
+
 Wed Jan 21 09:33:39 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/replacements/vasprintf.c: fix portability problem
 	* src/tds/challenge.c: check correctly error converting to ucs2
@@ -1217,4 +1220,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2712 2009/01/21 08:34:01 freddy77 Exp $
+$Id: ChangeLog,v 1.2713 2009/01/21 08:43:54 freddy77 Exp $
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index be525d8..753153e 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -1,4 +1,3 @@
-#ifndef HAVE_POLL
 /*
  * poll(2) implemented with select(2), for systems without poll(2). 
  * Warning: a call to this poll() takes about 4K of stack space.
@@ -18,10 +17,19 @@
  * Converted to C and spruced up by James K. Lowden December 2008. 
  */
 
-static char software_version[] = "$Id: fakepoll.c,v 1.6 2009/01/16 20:27:58 jklowden Exp $";
+#if HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#ifndef HAVE_POLL
+
+static char software_version[] = "$Id: fakepoll.c,v 1.7 2009/01/21 08:43:54 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#include <replacements.h>
+#include <stdarg.h>
+#include <stdio.h>
+
+#include "replacements.h"
 
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>

